## vlc 0.2.91-1

=== Makefile ===
###############################################################################
# vlc (VideoLAN Client) main Makefile - (c)1998 VideoLAN
###############################################################################

ifeq ($(shell [ ! -r Makefile.opts ] && echo 1),)
    include Makefile.opts
endif

###############################################################################
# Objects and files
###############################################################################

# 
# All possible plugin directories, needed for make clean
#
PLUGINS_DIR :=	alsa \
		beos \
		darwin \
		directx \
		dsp \
		dummy \
		dvd \
		esd \
		fb \
		ggi \
		glide \
		gtk \
		downmix \
		idct \
		imdct \
		kde \
		macosx \
		mga \
		motion \
		mpeg \
		qt \
		sdl \
		text \
		vcd \
		x11 \
		yuv

#
# All possible plugin objects
#
PLUGINS_TARGETS := alsa/alsa \
		beos/beos \
		darwin/darwin \
		directx/directx \
		dsp/dsp \
		dummy/dummy \
		dummy/null \
		dvd/dvd \
		esd/esd \
		fb/fb \
		ggi/ggi \
		glide/glide \
		gtk/gnome \
		gtk/gtk \
		downmix/downmix \
		downmix/downmixsse \
		downmix/downmix3dn \
		idct/idct \
		idct/idctclassic \
		idct/idctmmx \
		idct/idctmmxext \
		idct/idctaltivec \
		imdct/imdct \
		imdct/imdct3dn \
		imdct/imdctsse \
		kde/kde \
		macosx/macosx \
		macosx/macosx_qt \
		mga/mga \
		motion/motion \
		motion/motionmmx \
		motion/motionmmxext \
		motion/motion3dnow \
		motion/motionaltivec \
		mpeg/es \
		mpeg/ps \
		mpeg/ts \
		qt/qt \
		sdl/sdl \
		text/ncurses \
		text/rc \
		vcd/vcd \
		x11/x11 \
		x11/xvideo \
		yuv/yuv \
		yuv/yuvmmx

#
# C Objects
# 
INTERFACE := main interface intf_msg intf_playlist intf_channels
INPUT := input input_ext-dec input_ext-intf input_dec input_programs input_netlist input_clock mpeg_system
VIDEO_OUTPUT := video_output video_text video_spu video_yuv
AUDIO_OUTPUT := audio_output aout_ext-dec aout_u8 aout_s8 aout_u16 aout_s16 aout_spdif
AC3_DECODER := ac3_decoder_thread ac3_decoder ac3_parse ac3_exponent ac3_bit_allocate ac3_mantissa ac3_rematrix ac3_imdct
AC3_SPDIF := ac3_spdif ac3_iec958
LPCM_DECODER := lpcm_decoder_thread
AUDIO_DECODER := audio_decoder adec_generic adec_layer1 adec_layer2 adec_math
SPU_DECODER := spu_decoder
VIDEO_DECODER := video_parser vpar_headers vpar_blocks vpar_synchro vpar_pool video_decoder
MISC := mtime tests modules netutils iso_lang

C_OBJ :=	$(INTERFACE:%=src/interface/%.o) \
		$(INPUT:%=src/input/%.o) \
		$(VIDEO_OUTPUT:%=src/video_output/%.o) \
		$(AUDIO_OUTPUT:%=src/audio_output/%.o) \
		$(AC3_DECODER:%=src/ac3_decoder/%.o) \
		$(AC3_SPDIF:%=src/ac3_spdif/%.o) \
		$(LPCM_DECODER:%=src/lpcm_decoder/%.o) \
		$(AUDIO_DECODER:%=src/audio_decoder/%.o) \
		$(SPU_DECODER:%=src/spu_decoder/%.o) \
		$(VIDEO_DECODER:%=src/video_decoder/%.o) \
		$(MISC:%=src/misc/%.o)

#
# Misc Objects
# 
ifeq ($(NEED_GETOPT),1)
C_OBJ += extras/GNUgetopt/getopt.o extras/GNUgetopt/getopt1.o 
endif

ifeq ($(SYS),beos)
CPP_OBJ :=	src/misc/beos_specific.o
endif

ifneq (,$(findstring darwin,$(SYS)))
C_OBJ +=	src/misc/darwin_specific.o
endif

ifneq (,$(findstring mingw32,$(SYS)))
C_OBJ +=	src/misc/win32_specific.o
RESOURCE_OBJ :=	share/vlc_win32_rc.o
endif

VLC_OBJ := $(C_OBJ) $(CPP_OBJ) $(BUILTIN_OBJ) $(RESOURCE_OBJ)

#
# Generated header
#
H_OBJ :=	src/misc/modules_builtin.h

#
# Other lists of files
#
C_DEP := $(C_OBJ:%.o=.dep/%.d)
CPP_DEP := $(CPP_OBJ:%.o=.dep/%.dpp)

#
# Translate plugin names
#
ifneq (,$(PLUGINS))
PLUGIN_OBJ := $(shell for i in $(PLUGINS) ; do echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.*/\('$$i'\) .*@plugins/\1.so@' -e 's@^ .*@@' ; done)
endif
ifneq (,$(BUILTINS))
BUILTIN_OBJ := $(shell for i in $(BUILTINS) ; do echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.*/\('$$i'\) .*@plugins/\1.a@' -e 's@^ .*@@' ; done)
endif

#
# Misc variables
#
VLC_QUICKVERSION := $(shell grep '^ *VLC_VERSION=[0-9]' configure.in | head -1 | cut -f2 -d=)
LIBDVDCSS_QUICKVERSION := $(shell grep '^ *LIBDVDCSS_VERSION=[0-9]' configure.in | head -1 | cut -f2 -d=)


# All symbols must be exported
export

###############################################################################
# Targets
###############################################################################

#
# Virtual targets
#
all: Makefile.opts vlc ${ALIASES} vlc.app

Makefile.opts:
	@echo "**** No configuration found, running ./configure..."
	./configure
	$(MAKE) $(MAKECMDGOALS)
	exit

show:
	@echo CC: $(CC)
	@echo CFLAGS: $(CFLAGS)
	@echo DCFLAGS: $(DCFLAGS)
	@echo LCFLAGS: $(LCFLAGS)
	@echo PCFLAGS: $(PCFLAGS)
	@echo PLCFLAGS: $(PLCFLAGS)
	@echo C_OBJ: $(C_OBJ)
	@echo CPP_OBJ: $(CPP_OBJ)
	@echo PLUGIN_OBJ: $(PLUGIN_OBJ)
	@echo BUILTIN_OBJ: $(BUILTIN_OBJ)

#
# Cleaning rules
#
clean: libdvdcss-clean plugins-clean vlc-clean
	rm -f src/*/*.o extras/*/*.o
	rm -f lib/*.so* lib/*.a
	rm -f plugins/*.so plugins/*.a
	rm -rf extras/MacOSX/build

libdvdcss-clean:
	-cd extras/libdvdcss && $(MAKE) clean

plugins-clean:
	for dir in $(PLUGINS_DIR) ; do \
		( cd plugins/$${dir} && $(MAKE) clean ) ; done
	rm -f plugins/*/*.o plugins/*/*.moc plugins/*/*.bak

vlc-clean:
	rm -f $(C_OBJ) $(CPP_OBJ)
	rm -f vlc gnome-vlc gvlc kvlc qvlc vlc.exe
	rm -Rf vlc.app

distclean: clean
	rm -f **/*.o **/*~ *.log
	rm -f Makefile.opts
	rm -f include/defs.h include/config.h include/modules_builtin.h
	rm -f src/misc/modules_builtin.h
	rm -f config*status config*cache config*log
	rm -f gmon.out core build-stamp
	rm -Rf .dep
	rm -f .gdb_history

#
# Install/uninstall rules
#
install: libdvdcss-install vlc-install plugins-install

uninstall: libdvdcss-uninstall vlc-uninstall plugins-uninstall

vlc-install:
	mkdir -p $(DESTDIR)$(bindir)
	$(INSTALL) vlc $(DESTDIR)$(bindir)
ifneq (,$(ALIASES))
	for alias in $(ALIASES) ; do if test $$alias ; then rm -f $(DESTDIR)$(bindir)/$$alias && ln -s vlc $(DESTDIR)$(bindir)/$$alias ; fi ; done
endif
	mkdir -p $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.psf $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.png $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.xpm $(DESTDIR)$(datadir)/videolan

vlc-uninstall:
	rm -f $(DESTDIR)$(bindir)/vlc
ifneq (,$(ALIASES))
	for alias in $(ALIASES) ; do if test $$alias ; then rm -f $(DESTDIR)$(bindir)/$$alias ; fi ; done
endif
	rm -f $(DESTDIR)$(datadir)/videolan/*.psf
	rm -f $(DESTDIR)$(datadir)/videolan/*.png
	rm -f $(DESTDIR)$(datadir)/videolan/*.xpm

plugins-install:
	mkdir -p $(DESTDIR)$(libdir)/videolan/vlc
ifneq (,$(PLUGINS))
	$(INSTALL) -m 644 $(PLUGINS:%=plugins/%.so) $(DESTDIR)$(libdir)/videolan/vlc
endif

plugins-uninstall:
	rm -f $(DESTDIR)$(libdir)/videolan/vlc/*.so

libdvdcss-install:
	-cd extras/libdvdcss && $(MAKE) install

libdvdcss-uninstall:
	-cd extras/libdvdcss && $(MAKE) uninstall

#
# Package generation rules
#
snapshot-common:
	# Check that tmp isn't in the way
	@if test -e tmp; then \
		echo "Error: please remove ./tmp, it is in the way"; false; \
	else \
		echo "OK."; mkdir tmp; \
	fi
	# Copy directory structure in tmp
	find -type d | grep -v '\(\.dep\|snapshot\|CVS\)' | while read i ; \
		do mkdir -p tmp/vlc/$$i ; \
	done
	rm -Rf tmp/vlc/tmp
	find debian -mindepth 1 -maxdepth 1 -type d | \
		while read i ; do rm -Rf tmp/vlc/$$i ; done
	# Copy .c .h .in .cpp and .glade files
	find include src plugins -type f -name '*.[chig]*' | while read i ; \
		do cp $$i tmp/vlc/$$i ; done
	# Copy plugin Makefiles
	find plugins -type f -name Makefile | while read i ; \
		do cp $$i tmp/vlc/$$i ; done
	# Copy extra programs and documentation
	cp -a extras/* tmp/vlc/extras
	cp -a doc/* tmp/vlc/doc
	find tmp/vlc/extras tmp/vlc/doc \
		-type d -name CVS -o -name '.*' -o -name '*.[o]' | \
			while read i ; do rm -Rf $$i ; done
	# Copy misc files
	cp FAQ AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* \
		Makefile Makefile.opts.in Makefile.dep Makefile.modules \
		configure configure.in install-sh install-win32 vlc.spec \
		config.sub config.guess \
			tmp/vlc/
	# Copy Debian control files
	for file in debian/*dirs debian/*docs debian/*menu debian/*desktop \
		debian/*copyright ; do cp $$file tmp/vlc/debian ; done
	for file in control changelog rules ; do \
		cp debian/$$file tmp/vlc/debian/ ; done
	# Copy ipkg control files
	for file in control rules ; do \
		cp ipkg/$$file tmp/vlc/ipkg/ ; done
	# Copy fonts and icons
	for file in share/*png share/*xpm share/*psf ; do \
		cp $$file tmp/vlc/share ; done
	for file in vlc_beos.rsrc vlc.icns gvlc_win32.ico vlc_win32_rc.rc ; do \
			cp share/$$file tmp/vlc/share/ ; done

snapshot: snapshot-common
	# Build archives
	F=vlc-${VLC_QUICKVERSION}; \
	mv tmp/vlc tmp/$$F; (cd tmp ; tar cf $$F.tar $$F); \
	bzip2 -f -9 < tmp/$$F.tar > $$F.tar.bz2; \
	gzip -f -9 tmp/$$F.tar ; mv tmp/$$F.tar.gz .
	# Clean up
	rm -Rf tmp

snapshot-nocss: snapshot-common
	# Remove libdvdcss
	rm -Rf tmp/vlc/extras/libdvdcss
	rm -f tmp/vlc/*.libdvdcss
	# Fix debian information
	rm -f tmp/vlc/debian/libdvdcss*
	rm -f tmp/vlc/debian/control
	sed -e 's#^ DVDs# unencrypted DVDs#' < debian/control \
		| awk '{if(gsub("Package: libdvdcss",$$0))a=1;if(a==0)print $$0;if(a==1&&$$0=="")a=0}' \
		> tmp/vlc/debian/control
	rm -f tmp/vlc/debian/rules
	sed -e 's#^\(export LIBDVDCSS_FLAGS=\).*#\1"--without-dvdcss"#' < debian/rules \
		| awk '{if($$0=="# libdvdcss start")a=1;if(a==0)print $$0;if($$0=="# libdvdcss stop")a=0}' \
		> tmp/vlc/debian/rules
	chmod +x tmp/vlc/debian/rules
	# Build css-disabled archives
	F=vlc-${VLC_QUICKVERSION}; G=vlc-${VLC_QUICKVERSION}-nocss; \
	mv tmp/vlc tmp/$$F; (cd tmp ; tar cf $$G.tar $$F); \
	bzip2 -f -9 < tmp/$$G.tar > $$G.tar.bz2; \
	gzip -f -9 tmp/$$G.tar ; mv tmp/$$G.tar.gz .
	# Clean up
	rm -Rf tmp

package-win32:
	# XXX: this rule is probably only useful to you if you have exactly
	# the same setup as me. Contact sam@zoy.org if you need to use it.
	#
	# Check that tmp isn't in the way
	@if test -e tmp; then \
		echo "Error: please remove ./tmp, it is in the way"; false; \
	else \
		echo "OK."; mkdir tmp; \
	fi
	# Create installation script
	sed -e 's#@VERSION@#'${VLC_QUICKVERSION}'#' < install-win32 > tmp/nsi
	# Copy relevant files
	cp vlc.exe plugins/directx.so plugins/gtk.so plugins/sdl.so tmp/ 
	cp INSTALL-win32.txt AUTHORS COPYING ChangeLog ChangeLog.libdvdcss \
		README README.libdvdcss FAQ TODO tmp/
	for file in gtk-1.3.dll gdk-1.3.dll glib-1.3.dll gmodule-1.3.dll \
		gnu-intl.dll SDL.dll README-SDL.txt ; \
			do cp ../win32-libs/$$file tmp/ ; done
	mkdir tmp/share
	for file in default8x16.psf default8x9.psf ; \
		do cp share/$$file tmp/share/ ; done
	# Create package 
	wine ~/.wine/fake_windows/Program\ Files/NSIS/makensis.exe /CD tmp/nsi
	mv tmp/vlc-${VLC_QUICKVERSION}.exe \
		vlc-${VLC_QUICKVERSION}-win32-installer.exe
	# Clean up
	rm -Rf tmp

libdvdcss-snapshot: snapshot-common
	# Remove vlc sources and icons, doc, debian directory...
	rm -Rf tmp/vlc/src tmp/vlc/share tmp/vlc/plugins tmp/vlc/doc
	rm -Rf tmp/vlc/extras/GNUgetopt tmp/vlc/extras/MacOSX
	rm -Rf tmp/vlc/debian
	rm -Rf tmp/vlc/ipkg
	# Remove useless headers
	rm -f tmp/vlc/include/*
	for file in defs.h.in config.h.in common.h int_types.h ; \
		do cp include/$$file tmp/vlc/include/ ; done
	# Remove misc files (??? - maybe not really needed)
	rm -f tmp/vlc/vlc.spec tmp/vlc/INSTALL-win32.txt
	mv tmp/vlc/INSTALL.libdvdcss tmp/vlc/INSTALL
	mv tmp/vlc/README.libdvdcss tmp/vlc/README
	mv tmp/vlc/ChangeLog.libdvdcss tmp/vlc/ChangeLog
	# Fix Makefile
	rm -f tmp/vlc/Makefile
	sed -e 's#^install:#install-unused:#' \
		-e 's#^uninstall:#uninstall-unused:#' \
		-e 's#^clean:#clean-unused:#' \
		-e 's#^all:.*#all: libdvdcss#' \
		-e 's#^libdvdcss-install:#install:#' \
		-e 's#^libdvdcss-uninstall:#uninstall:#' \
		-e 's#^libdvdcss-clean:#clean:#' \
		< Makefile > tmp/vlc/Makefile
	# Build archives
	F=libdvdcss-${LIBDVDCSS_QUICKVERSION}; \
	mv tmp/vlc tmp/$$F; (cd tmp ; tar cf $$F.tar $$F); \
	bzip2 -f -9 < tmp/$$F.tar > $$F.tar.bz2; \
	gzip -f -9 tmp/$$F.tar ; mv tmp/$$F.tar.gz .
	# Clean up
	rm -Rf tmp

deb:
	dpkg-buildpackage -rfakeroot -us -uc

#
# Gtk/Gnome/* aliases and OS X application
#

=== plugins/darwin/Makefile ===
###############################################################################
# vlc (VideoLAN Client) Darwin module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = darwin.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../darwin.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_DARWIN)

../darwin.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/glide/Makefile ===
###############################################################################
# vlc (VideoLAN Client) glide module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_GLIDE = glide.o vout_glide.o
BUILTIN_GLIDE = $(PLUGIN_GLIDE:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_GLIDE) $(BUILTIN_GLIDE)

#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_GLIDE): %.o: .dep/%.d
$(PLUGIN_GLIDE): %.o: %.c
	$(CC) $(CFLAGS) -DPLUGIN $(PCFLAGS) -I/usr/include/glide -c -o $@ $<

$(BUILTIN_GLIDE): BUILTIN_%.o: .dep/%.d
$(BUILTIN_GLIDE): BUILTIN_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -I/usr/include/glide -c -o $@ $<

#
# Real targets
#

../glide.so: $(PLUGIN_GLIDE)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_GLIDE)

../glide.a: $(BUILTIN_GLIDE)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/imdct/Makefile ===
###############################################################################
# vlc (VideoLAN Client) imdct module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_IMDCT = imdct.o ac3_imdct_c.o ac3_srfft_c.o
PLUGIN_IMDCTSSE = imdctsse.o ac3_imdct_sse.o ac3_srfft_sse.o
PLUGIN_IMDCT3DN = imdct3dn.o ac3_imdct_3dn.o ac3_srfft_3dn.o
PLUGIN_IMDCTCOMMON = ac3_imdct_common.o

BUILTIN_IMDCT = $(PLUGIN_IMDCT:%.o=BUILTIN_IMDCT_%.o) \
		$(PLUGIN_IMDCTCOMMON:%.o=BUILTIN_IMDCT_%.o)
BUILTIN_IMDCTSSE = $(PLUGIN_IMDCTSSE:%.o=BUILTIN_IMDCTSSE_%.o) \
		$(PLUGIN_IMDCTCOMMON:%.o=BUILTIN_IMDCTSSE_%.o)
BUILTIN_IMDCT3DN = $(PLUGIN_IMDCT3DN:%.o=BUILTIN_IMDCT3DN_%.o) \
		$(PLUGIN_IMDCTCOMMON:%.o=BUILTIN_IMDCT3DN_%.o)

PLUGIN_C = $(PLUGIN_IMDCT) $(PLUGIN_IMDCTSSE) $(PLUGIN_IMDCT3DN) $(PLUGIN_IMDCTCOMMON)
ALL_OBJ = $(PLUGIN_C) $(BUILTIN_IMDCT) $(BUILTIN_IMDCTSSE) $(BUILTIN_IMDCT3DN)

#
# Virtual targets
#

include ../../Makefile.modules

$(BUILTIN_IMDCT): BUILTIN_IMDCT_%.o: .dep/%.d
$(BUILTIN_IMDCT): BUILTIN_IMDCT_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=imdct -c -o $@ $<

$(BUILTIN_IMDCTSSE): BUILTIN_IMDCTSSE_%.o: .dep/%.d
$(BUILTIN_IMDCTSSE): BUILTIN_IMDCTSSE_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=imdctsse -c -o $@ $<

$(BUILTIN_IMDCT3DN): BUILTIN_IMDCT3DN_%.o: .dep/%.d
$(BUILTIN_IMDCT3DN): BUILTIN_IMDCT3DN_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=imdct3dn -c -o $@ $<

#
# Real targets
#

../imdct.so: $(PLUGIN_IMDCT) $(PLUGIN_IMDCTCOMMON)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../imdct.a: $(BUILTIN_IMDCT)
	ar r $@ $^
	$(RANLIB) $@

../imdctsse.so: $(PLUGIN_IMDCTSSE) $(PLUGIN_IMDCTCOMMON)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../imdctsse.a: $(BUILTIN_IMDCTSSE)
	ar r $@ $^
	$(RANLIB) $@

../imdct3dn.so: $(PLUGIN_IMDCT3DN) $(PLUGIN_IMDCTCOMMON)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../imdct3dn.a: $(BUILTIN_IMDCT3DN)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/qnx/Makefile ===
###############################################################################
# vlc (VideoLAN Client) QNX RTOS module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = qnx.o aout_qnx.o vout_qnx.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../qnx.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_QNX) 

../qnx.a: $(BUILTIN_C)
	ar r $@ $^

=== debian/control ===
Source: vlc
Section: graphics
Priority: optional
Maintainer: Samuel Hocevar <sam@zoy.org>
Build-Depends: debhelper (>=2.2.0), xlibs-dev, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev, libqt-dev, libasound2-dev [alpha i386 ia64 m68k powerpc]
Standards-Version: 3.0.1

Package: vlc
Architecture: any
Depends: ${shlibs:Depends}, vlc-gui
Suggests: vlc-gnome
Description: a free MPEG and DVD player
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is vlc, the VideoLAN Client. It plays MPEG and MPEG2 files,
 DVDs, or MPEG streams from a network source.

Package: libdvdcss1
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libdvdcss0.0.1, libdvdcss0.0.2, libdvdcss0.0.3
Description: a portable abstraction library for DVD decryption
 libdvdcss is a portable abstraction library for DVD decryption, it
 provides a simple API to access a DVD device as a block device.
 .
 This package contains the libdvdcss0 runtime library.

Package: libdvdcss1-dev
Architecture: any
Depends: libdvdcss1 (= ${Source-Version}), libc6-dev
Conflicts: libdvdcss0.0.1-dev, libdvdcss0.0.2-dev, libdvdcss0.0.3-dev
Description: development files for libdvdcss1
 libdvdcss is a portable abstraction library for DVD decryption, it
 provides a simple API to access a DVD device as a block device.
 .
 This package contains the header files and static library needed to
 compile applications that use libdvdcss0.

Package: vlc-gnome
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Gnome plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Gnome interface to vlc, the VideoLAN Client.

Package: vlc-gtk
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Replaces: vlc-gnome (<= 0.2.63-2)
Conflicts: vlc-gnome (<= 0.2.63-2)
Provides: vlc-gui
Description: Gtk+ plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Gtk+ interface to vlc, the VideoLAN Client.

Package: vlc-esd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: Esound plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Enlightened Sound Daemon to
 vlc, the VideoLAN Client.

Package: vlc-alsa
Architecture: alpha i386 ia64 m68k powerpc
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: ALSA plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Advanced Linux Sound Architecture to
 vlc, the VideoLAN Client.

Package: vlc-sdl
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: SDL plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Simple DirectMedia Layer library to
 vlc, the VideoLAN Client.

Package: vlc-ggi
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: GGI plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is a GGI plugin for vlc, the VideoLAN Client.

Package: vlc-glide
Architecture: i386
Depends: vlc (= ${Source-Version}), libglide2
Description: Glide plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is a Glide (3dfx) plugin for vlc, the VideoLAN Client.

Package: vlc-qt
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Qt plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Qt interface to vlc, the VideoLAN Client.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VideoLAN Client - uses debhelper.
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# Compilation options
export CONFIG_FLAGS="--enable-release --prefix=/usr --enable-gnome --enable-gtk --enable-fb --with-ggi --enable-sdl --enable-esd --enable-qt"
export LIBDVDCSS_FLAGS="--with-dvdcss=local-shared"
export VIDDIR="usr/share/videolan"
export PIXDIR="usr/share/pixmaps"
export GNOMEDIR="usr/share/gnome/apps/Multimedia"

# Library options
version=$(shell grep '^ *LIBDVDCSS_VERSION=[0-9]' configure.in | head -1 | cut -f2 -d=)
major=$(shell echo "$(version)" | cut -f1 -d.)

build: build-stamp
build-stamp:
	dh_testdir

	case $(DEB_BUILD_ARCH) in \
	i386) \
		ARCH_FLAGS="--enable-alsa --with-glide" ;; \
	alpha|ia64|m68k|powerpc) \
		ARCH_FLAGS="--enable-alsa" ;; \
	*) \
		ARCH_FLAGS="" ;; \
	esac ;\
	./configure $$ARCH_FLAGS --mandir=$${prefix}/share/man \
		--infodir=$${prefix}/share/info \
		$(shell echo $(CONFIG_FLAGS)) $(shell echo $(LIBDVDCSS_FLAGS))

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	DESTDIR=`pwd`/debian/vlc/ $(MAKE) install prefix=/usr

	# make symlinks for packages and install plugins
	case $(DEB_BUILD_ARCH) in \
	i386) \
		ARCH_ALIASES="ggi gtk gnome esd sdl qt alsa glide" ;; \
	alpha|ia64|m68k|powerpc) \
		ARCH_ALIASES="ggi gtk gnome esd sdl qt alsa" ;; \
	*) \
		ARCH_ALIASES="ggi gtk gnome esd sdl qt" ;; \
	esac ;\
	for alias in $$ARCH_ALIASES ; do \
		ln -s vlc debian/vlc-$$alias/usr/share/doc/vlc-$$alias ; \
		mv debian/vlc/usr/lib/videolan/vlc/$$alias.so \
			debian/vlc-$$alias/usr/lib/videolan/vlc/ ; done

	mv debian/vlc/usr/bin/gvlc debian/vlc-gtk/usr/bin/
	mv debian/vlc/usr/bin/gnome-vlc debian/vlc-gnome/usr/bin/
	mv debian/vlc/usr/bin/qvlc debian/vlc-qt/usr/bin/

	mv debian/vlc/$(VIDDIR)/vlc.png debian/vlc/$(PIXDIR)
	mv debian/vlc/$(VIDDIR)/gvlc.xpm debian/vlc-gtk/$(VIDDIR)
	mv debian/vlc/$(VIDDIR)/gvlc.png debian/vlc-gtk/$(PIXDIR)
	mv debian/vlc/$(VIDDIR)/gnome-vlc.xpm debian/vlc-gnome/$(VIDDIR)
	mv debian/vlc/$(VIDDIR)/gnome-vlc.png debian/vlc-gnome/$(PIXDIR)
	mv debian/vlc/$(VIDDIR)/qvlc.xpm debian/vlc-qt/$(VIDDIR)
	mv debian/vlc/$(VIDDIR)/qvlc.png debian/vlc-qt/$(PIXDIR)

	cp debian/vlc.desktop debian/vlc/$(GNOMEDIR)
	cp debian/gvlc.desktop debian/vlc-gtk/$(GNOMEDIR)
	cp debian/gnome-vlc.desktop debian/vlc-gnome/$(GNOMEDIR)

	#gzip -9 < doc/vlc.1 >| debian/vlc/usr/share/man/man1/vlc.1.gz
	ln -s vlc.1.gz debian/vlc-gtk/usr/share/man/man1/gvlc.1.gz
	ln -s vlc.1.gz debian/vlc-gnome/usr/share/man/man1/gnome-vlc.1.gz
	ln -s vlc.1.gz debian/vlc-qt/usr/share/man/man1/qvlc.1.gz

# libdvdcss start
	mv debian/vlc/usr/include/videolan/dvdcss.h \
				debian/libdvdcss$(major)-dev/usr/include/videolan
	rmdir debian/vlc/usr/include/videolan
	rmdir debian/vlc/usr/include
	mv debian/vlc/usr/lib/*.a debian/libdvdcss$(major)-dev/usr/lib
	mv debian/vlc/usr/lib/*.so debian/libdvdcss$(major)-dev/usr/lib
	mv debian/vlc/usr/lib/*.so.* debian/libdvdcss$(major)/usr/lib
	ln -s libdvdcss$(major) debian/libdvdcss$(major)-dev/usr/share/doc/libdvdcss$(major)-dev
# libdvdcss stop

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installman doc/vlc.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -Nvlc-gnome -Nvlc-gtk -Nvlc-ggi -Nvlc-glide -Nvlc-esd -Nvlc-alsa -Nvlc-sdl -Nvlc-qt ChangeLog
# libdvdcss start
	dh_installchangelogs -Nvlc-gnome -Nvlc-gtk -Nvlc-ggi -Nvlc-glide -Nvlc-esd -Nvlc-alsa -Nvlc-sdl -Nvlc-qt ChangeLog.libdvdcss
# libdvdcss stop
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl

	case $(DEB_BUILD_ARCH) in \
	i386) \
		ARCH_EXCLUDE="" ;; \
	alpha|ia64|m68k|powerpc) \
		ARCH_EXCLUDE="-Nvlc-glide" ;; \
	*) \
		ARCH_EXCLUDE="-Nvlc-glide -Nvlc-alsa" ;; \
	esac ;\
	dh_shlibdeps $$ARCH_EXCLUDE ;\
	dh_gencontrol $$ARCH_EXCLUDE ;\
	dh_md5sums $$ARCH_EXCLUDE ;\
	dh_builddeb $$ARCH_EXCLUDE

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## vlc 0.2.92

=== Makefile ===
--- 
+++ 
@@ -13,13 +13,16 @@
 # 
 # All possible plugin directories, needed for make clean
 #
-PLUGINS_DIR :=	alsa \
+PLUGINS_DIR :=	ac3_adec \
+		ac3_spdif \
+		alsa \
+ 		arts \
 		beos \
-		darwin \
 		directx \
 		dsp \
 		dummy \
 		dvd \
+		dvdread \
 		esd \
 		fb \
 		ggi \
@@ -29,28 +32,34 @@
 		idct \
 		imdct \
 		kde \
+		lpcm_adec \
 		macosx \
+		mad_adec \
+		memcpy \
 		mga \
 		motion \
 		mpeg \
+		mpeg_adec \
+		mpeg_vdec \
 		qt \
 		sdl \
+		spu_dec \
 		text \
 		vcd \
 		x11 \
 		yuv
 
-#
-# All possible plugin objects
-#
-PLUGINS_TARGETS := alsa/alsa \
+PLUGINS_TARGETS := ac3_adec/ac3_adec \
+		ac3_spdif/ac3_spdif \
+		alsa/alsa \
+ 		arts/arts \
 		beos/beos \
-		darwin/darwin \
 		directx/directx \
 		dsp/dsp \
 		dummy/dummy \
 		dummy/null \
 		dvd/dvd \
+		dvdread/dvdread \
 		esd/esd \
 		fb/fb \
 		ggi/ggi \
@@ -69,19 +78,27 @@
 		imdct/imdct3dn \
 		imdct/imdctsse \
 		kde/kde \
+		lpcm_adec/lpcm_adec \
 		macosx/macosx \
-		macosx/macosx_qt \
+		mad_adec/mad \
+		memcpy/memcpy \
+		memcpy/memcpymmx \
+		memcpy/memcpymmxext \
+		memcpy/memcpy3dn \
 		mga/mga \
 		motion/motion \
 		motion/motionmmx \
 		motion/motionmmxext \
 		motion/motion3dnow \
 		motion/motionaltivec \
+		mpeg_adec/mpeg_adec \
+		mpeg_vdec/mpeg_vdec \
 		mpeg/es \
 		mpeg/ps \
 		mpeg/ts \
 		qt/qt \
 		sdl/sdl \
+		spu_dec/spu_dec \
 		text/ncurses \
 		text/rc \
 		vcd/vcd \
@@ -89,32 +106,19 @@
 		x11/xvideo \
 		yuv/yuv \
 		yuv/yuvmmx
-
 #
 # C Objects
 # 
 INTERFACE := main interface intf_msg intf_playlist intf_channels
-INPUT := input input_ext-dec input_ext-intf input_dec input_programs input_netlist input_clock mpeg_system
+INPUT := input input_ext-dec input_ext-intf input_dec input_programs input_clock mpeg_system
 VIDEO_OUTPUT := video_output video_text video_spu video_yuv
 AUDIO_OUTPUT := audio_output aout_ext-dec aout_u8 aout_s8 aout_u16 aout_s16 aout_spdif
-AC3_DECODER := ac3_decoder_thread ac3_decoder ac3_parse ac3_exponent ac3_bit_allocate ac3_mantissa ac3_rematrix ac3_imdct
-AC3_SPDIF := ac3_spdif ac3_iec958
-LPCM_DECODER := lpcm_decoder_thread
-AUDIO_DECODER := audio_decoder adec_generic adec_layer1 adec_layer2 adec_math
-SPU_DECODER := spu_decoder
-VIDEO_DECODER := video_parser vpar_headers vpar_blocks vpar_synchro vpar_pool video_decoder
 MISC := mtime tests modules netutils iso_lang
 
 C_OBJ :=	$(INTERFACE:%=src/interface/%.o) \
 		$(INPUT:%=src/input/%.o) \
 		$(VIDEO_OUTPUT:%=src/video_output/%.o) \
 		$(AUDIO_OUTPUT:%=src/audio_output/%.o) \
-		$(AC3_DECODER:%=src/ac3_decoder/%.o) \
-		$(AC3_SPDIF:%=src/ac3_spdif/%.o) \
-		$(LPCM_DECODER:%=src/lpcm_decoder/%.o) \
-		$(AUDIO_DECODER:%=src/audio_decoder/%.o) \
-		$(SPU_DECODER:%=src/spu_decoder/%.o) \
-		$(VIDEO_DECODER:%=src/video_decoder/%.o) \
 		$(MISC:%=src/misc/%.o)
 
 #
@@ -163,8 +167,8 @@
 #
 # Misc variables
 #
-VLC_QUICKVERSION := $(shell grep '^ *VLC_VERSION=[0-9]' configure.in | head -1 | cut -f2 -d=)
-LIBDVDCSS_QUICKVERSION := $(shell grep '^ *LIBDVDCSS_VERSION=[0-9]' configure.in | head -1 | cut -f2 -d=)
+VLC_QUICKVERSION := $(shell grep '^ *VLC_VERSION=' configure.in | head -1 | sed 's/"//g' | cut -f2 -d=)
+LIBDVDCSS_QUICKVERSION := $(shell grep '^ *LIBDVDCSS_VERSION=' configure.in | head -1 | sed 's/"//g' | cut -f2 -d=)
 
 
 # All symbols must be exported
@@ -200,7 +204,7 @@
 #
 # Cleaning rules
 #
-clean: libdvdcss-clean plugins-clean vlc-clean
+clean: libdvdcss-clean libdvdread-clean plugins-clean vlc-clean
 	rm -f src/*/*.o extras/*/*.o
 	rm -f lib/*.so* lib/*.a
 	rm -f plugins/*.so plugins/*.a
@@ -208,6 +212,9 @@
 
 libdvdcss-clean:
 	-cd extras/libdvdcss && $(MAKE) clean
+
+libdvdread-clean:
+	-cd extras/libdvdread && $(MAKE) clean
 
 plugins-clean:
 	for dir in $(PLUGINS_DIR) ; do \
@@ -365,12 +372,12 @@
 	# Create installation script
 	sed -e 's#@VERSION@#'${VLC_QUICKVERSION}'#' < install-win32 > tmp/nsi
 	# Copy relevant files
-	cp vlc.exe plugins/directx.so plugins/gtk.so plugins/sdl.so tmp/ 
+	cp vlc.exe $(PLUGINS:%=plugins/%.so) tmp/ 
 	cp INSTALL-win32.txt AUTHORS COPYING ChangeLog ChangeLog.libdvdcss \
 		README README.libdvdcss FAQ TODO tmp/
 	for file in gtk-1.3.dll gdk-1.3.dll glib-1.3.dll gmodule-1.3.dll \
 		gnu-intl.dll SDL.dll README-SDL.txt ; \
-			do cp ../win32-libs/$$file tmp/ ; done
+			do cp ${DLL_PATH}/$$file tmp/ ; done
 	mkdir tmp/share
 	for file in default8x16.psf default8x9.psf ; \
 		do cp share/$$file tmp/share/ ; done
@@ -378,6 +385,30 @@
 	wine ~/.wine/fake_windows/Program\ Files/NSIS/makensis.exe /CD tmp/nsi
 	mv tmp/vlc-${VLC_QUICKVERSION}.exe \
 		vlc-${VLC_QUICKVERSION}-win32-installer.exe
+	# Clean up
+	rm -Rf tmp
+
+package-beos:
+	# Check that tmp isn't in the way
+	@if test -e tmp; then \
+		echo "Error: please remove ./tmp, it is in the way"; false; \
+	else \
+		echo "OK."; mkdir tmp; \
+	fi
+	
+	# Create dir
+	mkdir -p tmp/vlc/share
+	# Copy relevant files
+	cp vlc tmp/vlc/
+	cp AUTHORS COPYING ChangeLog ChangeLog.libdvdcss \
+		README README.libdvdcss FAQ TODO tmp/vlc/
+	for file in default8x16.psf default8x9.psf ; \
+		do cp share/$$file tmp/vlc/share/ ; done
+	# Create package 
+	mv tmp/vlc tmp/vlc-${VLC_QUICKVERSION}
+	(cd tmp ; find vlc-${VLC_QUICKVERSION} | \
+	zip -9 -@ vlc-${VLC_QUICKVERSION}-beos.zip )
+	mv tmp/vlc-${VLC_QUICKVERSION}-beos.zip .
 	# Clean up
 	rm -Rf tmp
 
@@ -404,19 +435,3 @@
 		-e 's#^all:.*#all: libdvdcss#' \
 		-e 's#^libdvdcss-install:#install:#' \
 		-e 's#^libdvdcss-uninstall:#uninstall:#' \
-		-e 's#^libdvdcss-clean:#clean:#' \
-		< Makefile > tmp/vlc/Makefile
-	# Build archives
-	F=libdvdcss-${LIBDVDCSS_QUICKVERSION}; \
-	mv tmp/vlc tmp/$$F; (cd tmp ; tar cf $$F.tar $$F); \
-	bzip2 -f -9 < tmp/$$F.tar > $$F.tar.bz2; \
-	gzip -f -9 tmp/$$F.tar ; mv tmp/$$F.tar.gz .
-	# Clean up
-	rm -Rf tmp
-
-deb:
-	dpkg-buildpackage -rfakeroot -us -uc
-
-#
-# Gtk/Gnome/* aliases and OS X application
-#

=== extras/libdvdread/Makefile ===
###############################################################################
# vlc (VideoLAN Client) dvdread module Makefile
# (c)2001 VideoLAN
###############################################################################

LIBDVDREAD_VERSION := 0.9.2
CFLAGS_LIBDVDREAD := -I. -DHAVE_CONFIG_H
LIB_LIBDVDREAD := -ldl

BASE_A := libdvdread.a
BASE_SO := libdvdread.so
MAJOR_SO := libdvdread.so.$(shell echo $(LIBDVDREAD_VERSION) | cut -f1 -d.)
FULL_SO := libdvdread.so.$(LIBDVDREAD_VERSION)
ifneq (,$(SOFLAGS))
ALL_SOFLAGS := $(SOFLAGS)$(MAJOR_SO)
SOFLAGS :=
endif

#
# Objects
#

OBJ_C = dvdread.o dvd_udf.o nav_print.o nav_read.o ifo_print.o ifo_read.o

PLUGIN_OBJ = $(OBJ_C) $(OBJ_LIBDVDREAD)
BUILTIN_OBJ = $(OBJ_C:%.o=DVDREAD_%.o)

ALL_OBJ = $(PLUGIN_OBJ) $(BUILTIN_OBJ)

include ../../Makefile.modules

$(OBJ_C): %.o: .dep/%.d
$(OBJ_C): %.o: %.c
	$(CC) $(CFLAGS) $(CFLAGS_LIBDVDREAD) $(PCFLAGS) -c -o $@ $<

$(BUILTIN_OBJ): DVDREAD_%.o: .dep/%.d
$(BUILTIN_OBJ): DVDREAD_%.o: %.c
	$(CC) $(CFLAGS) $(CFLAGS_LIBDVDREAD) $(PCFLAGS) -c -o $@ $<

../../lib/$(FULL_SO): $(OBJ_C) $(OBJ_LIBDVDREAD)
	$(CC) $(PCFLAGS) $(ALL_SOFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_LIBDVDREAD)
	rm -f ../../lib/$(BASE_SO) && ln -s $(FULL_SO) ../../lib/$(BASE_SO)
	rm -f ../../lib/$(MAJOR_SO) && ln -s $(FULL_SO) ../../lib/$(MAJOR_SO)

../../lib/$(BASE_A): libdvdcss $(BUILTIN_OBJ) $(OBJ_LIBDVDREAD)
	ar r $@ $(BUILTIN_OBJ)
	$(RANLIB) $@

#
# Virtual targets
#
all: ../../lib/$(BASE_A)

libdvdcss:
	cd ../../ && $(MAKE) libdvdcss

#install:
#	mkdir -p $(DESTDIR)$(includedir)/videolan
#	$(INSTALL) -m 644 videolan/dvdcss.h $(DESTDIR)$(includedir)/videolan
#	mkdir -p $(DESTDIR)$(libdir)
#	-$(INSTALL) -m 644 ../../lib/$(BASE_A) $(DESTDIR)$(libdir)
#	-$(INSTALL) -m 644 ../../lib/$(FULL_SO) $(DESTDIR)$(libdir)
#	rm -f $(DESTDIR)$(libdir)/$(BASE_SO) && ln -s $(FULL_SO) $(DESTDIR)$(libdir)/$(BASE_SO)
#	rm -f $(DESTDIR)$(libdir)/$(MAJOR_SO) && ln -s $(FULL_SO) $(DESTDIR)$(libdir)/$(MAJOR_SO)
#
#uninstall:
#	rm -f $(DESTDIR)$(includedir)/videolan/dvdcss.h
#	rm -f $(DESTDIR)$(libdir)/$(BASE_A)
#	rm -f $(DESTDIR)$(libdir)/$(BASE_SO)
#	rm -f $(DESTDIR)$(libdir)/$(MAJOR_SO)
#	rm -f $(DESTDIR)$(libdir)/$(FULL_SO)

=== plugins/ac3_adec/Makefile ===
###############################################################################
# vlc (VideoLAN Client) AC3 audio decoder module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#
PLUGIN_C = ac3_adec.o ac3_decoder.o ac3_parse.o ac3_exponent.o ac3_bit_allocate.o ac3_mantissa.o ac3_rematrix.o ac3_imdct.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)
#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../ac3_adec.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../ac3_adec.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/ac3_spdif/Makefile ===
###############################################################################
# vlc (VideoLAN Client) AC3 spdif audio decoder module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#
PLUGIN_C = ac3_spdif.o ac3_iec958.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)
#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../ac3_spdif.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../ac3_spdif.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/arts/Makefile ===
###############################################################################
# vlc (VideoLAN Client) arts module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = arts.o aout_arts.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Special plugin modifications
#

CFLAGS += $(CFLAGS_ARTS)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../arts.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_ARTS)

../arts.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/dummy/Makefile ===
###############################################################################
# vlc (VideoLAN Client) dummy and null module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_NULL = null.o
PLUGIN_DUMMY = dummy.o aout_dummy.o vout_dummy.o intf_dummy.o input_dummy.o
BUILTIN_NULL = $(PLUGIN_NULL:%.o=BUILTIN_%.o)
BUILTIN_DUMMY = $(PLUGIN_DUMMY:%.o=BUILTIN_%.o)

PLUGIN_C = $(PLUGIN_NULL) $(PLUGIN_DUMMY)
BUILTIN_C = $(BUILTIN_NULL) $(BUILTIN_DUMMY)
ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../null.so: $(PLUGIN_NULL)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../null.a: $(BUILTIN_NULL)
	ar r $@ $^
	$(RANLIB) $@

../dummy.so: $(PLUGIN_DUMMY)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../dummy.a: $(BUILTIN_DUMMY)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/dvdread/Makefile ===
###############################################################################
# vlc (VideoLAN Client) dvdread module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_DVDREAD = dvdread.o input_dvdread.o $(OBJ_DVDREAD)
BUILTIN_DVDREAD = $(PLUGIN_DVDREAD:%.o=BUILTIN_%.o)

LIBDVDCSS_OBJ = ../../lib/libdvdcss.a ../../lib/libdvdcss.so
LIBDVDREAD_OBJ = ../../lib/libdvdread.a ../../lib/libdvdread.so

ALL_OBJ = $(PLUGIN_DVDREAD) $(BUILTIN_DVDREAD)

#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_DVDREAD): %.o: .dep/%.d
$(PLUGIN_DVDREAD): %.o: %.c
	$(CC) $(CFLAGS_DVD) $(CFLAGS_DVDREAD) $(CFLAGS) $(PCFLAGS) -DPLUGIN -c -o $@ $<

$(BUILTIN_DVDREAD): BUILTIN_%.o: .dep/%.d
$(BUILTIN_DVDREAD): BUILTIN_%.o: %.c
	$(CC) $(CFLAGS_DVD) $(CFLAGS_DVDREAD) $(CFLAGS) -DBUILTIN -c -o $@ $<

#
# Real targets
#

ifeq (1,$(NEED_LIBDVDCSS))
../dvdread.so: $(LIBDVDCSS_OBJ) $(LIBDVDREAD_OBJ) $(PLUGIN_DVDREAD)
	$(CC) -o $@ $(PLUGIN_DVDREAD) $(PLCFLAGS) $(LIB_DVD_PLUGIN) $(LIB_DVDREAD_PLUGIN)

../dvdread.a: $(LIBDVDCSS_OBJ) $(LIBDVDREAD_OBJ) $(BUILTIN_DVDREAD)
	ar r $@ $(BUILTIN_DVDREAD)
	$(RANLIB) $@
else
../dvdread.so: $(LIBDVDREAD_OBJ) $(PLUGIN_DVDREAD)
	$(CC) -o $@ $(PLUGIN_DVD) $(PLCFLAGS) $(LIB_DVD_PLUGIN) $(LIB_DVDREAD_PLUGIN)

../dvdread.a: $(LIBDVDREAD_OBJ) $(BUILTIN_DVDREAD)
	ar r $@ $(BUILTIN_DVDREAD)
	$(RANLIB) $@
endif

$(LIBDVDCSS_OBJ): libdvdcss

libdvdcss:
	@cd ../../ && $(MAKE) libdvdcss

$(LIBDVDREAD_OBJ): libdvdread

libdvdread:
	@cd ../../ && $(MAKE) libdvdread

=== plugins/esd/Makefile ===
###############################################################################
# vlc (VideoLAN Client) esd module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = esd.o aout_esd.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Special plugin modifications
#

CFLAGS += $(CFLAGS_ESD)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../esd.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_ESD)

../esd.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/idct/Makefile ===
###############################################################################
# vlc (VideoLAN Client) idct module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_IDCT = idct.o
PLUGIN_IDCTCLASSIC = idctclassic.o
PLUGIN_IDCTMMX = idctmmx.o
PLUGIN_IDCTMMXEXT = idctmmxext.o
PLUGIN_IDCTALTIVEC = idctaltivec.o

BUILTIN_IDCT = $(PLUGIN_IDCT:%.o=BUILTIN_IDCT_%.o)
BUILTIN_IDCTCLASSIC = $(PLUGIN_IDCTCLASSIC:%.o=BUILTIN_IDCTCLASSIC_%.o)
BUILTIN_IDCTMMX = $(PLUGIN_IDCTMMX:%.o=BUILTIN_IDCTMMX_%.o)
BUILTIN_IDCTMMXEXT = $(PLUGIN_IDCTMMXEXT:%.o=BUILTIN_IDCTMMXEXT_%.o)
BUILTIN_IDCTALTIVEC = $(PLUGIN_IDCTALTIVEC:%.o=BUILTIN_IDCTALTIVEC_%.o)

PLUGIN_C = $(PLUGIN_IDCT) $(PLUGIN_IDCTCLASSIC) $(PLUGIN_IDCTMMX) $(PLUGIN_IDCTMMXEXT)
ALL_OBJ = $(PLUGIN_C) $(PLUGIN_IDCTALTIVEC) $(BUILTIN_IDCT) $(BUILTIN_IDCTCLASSIC) $(BUILTIN_IDCTMMX) $(BUILTIN_IDCTMMXEXT) $(BUILTIN_IDCTALTIVEC)

#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_IDCTALTIVEC): %.o: .dep/%.d
$(PLUGIN_IDCTALTIVEC): %.o: %.c
	$(CC) $(CFLAGS) $(CFLAGS_ALTIVEC) -DPLUGIN $(PCFLAGS) -c -o $@ $<

$(BUILTIN_IDCT): BUILTIN_IDCT_%.o: .dep/%.d
$(BUILTIN_IDCT): BUILTIN_IDCT_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=idct -c -o $@ $<

$(BUILTIN_IDCTCLASSIC): BUILTIN_IDCTCLASSIC_%.o: .dep/%.d
$(BUILTIN_IDCTCLASSIC): BUILTIN_IDCTCLASSIC_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=idctclassic -c -o $@ $<

$(BUILTIN_IDCTMMX): BUILTIN_IDCTMMX_%.o: .dep/%.d
$(BUILTIN_IDCTMMX): BUILTIN_IDCTMMX_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=idctmmx -c -o $@ $<

$(BUILTIN_IDCTMMXEXT): BUILTIN_IDCTMMXEXT_%.o: .dep/%.d
$(BUILTIN_IDCTMMXEXT): BUILTIN_IDCTMMXEXT_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=idctmmxext -c -o $@ $<

$(BUILTIN_IDCTALTIVEC): BUILTIN_IDCTALTIVEC_%.o: .dep/%.d
$(BUILTIN_IDCTALTIVEC): BUILTIN_IDCTALTIVEC_%.o: %.c
	$(CC) $(CFLAGS) $(CFLAGS_ALTIVEC) -DBUILTIN -DMODULE_NAME=idctaltivec -c -o $@ $<

#
# Real targets
#

../idct.so: $(PLUGIN_IDCT)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../idct.a: $(BUILTIN_IDCT)
	ar r $@ $^
	$(RANLIB) $@

../idctclassic.so: $(PLUGIN_IDCTCLASSIC)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../idctclassic.a: $(BUILTIN_IDCTCLASSIC)
	ar r $@ $^
	$(RANLIB) $@

../idctmmx.so: $(PLUGIN_IDCTMMX)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../idctmmx.a: $(BUILTIN_IDCTMMX)
	ar r $@ $^
	$(RANLIB) $@

../idctmmxext.so: $(PLUGIN_IDCTMMXEXT)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../idctmmxext.a: $(BUILTIN_IDCTMMXEXT)
	ar r $@ $^
	$(RANLIB) $@

../idctaltivec.so: $(PLUGIN_IDCTALTIVEC)
	$(CC) $(PCFLAGS) -o $@ $^ $(LIB_ALTIVEC) $(PLCFLAGS)

../idctaltivec.a: $(BUILTIN_IDCTALTIVEC)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/imdct/Makefile ===
--- 
+++ 
@@ -45,21 +45,21 @@
 #
 
 ../imdct.so: $(PLUGIN_IMDCT) $(PLUGIN_IMDCTCOMMON)
-	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 
+	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_IMDCT)
 
 ../imdct.a: $(BUILTIN_IMDCT)
 	ar r $@ $^
 	$(RANLIB) $@
 
 ../imdctsse.so: $(PLUGIN_IMDCTSSE) $(PLUGIN_IMDCTCOMMON)
-	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 
+	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_IMDCTSSE)
 
 ../imdctsse.a: $(BUILTIN_IMDCTSSE)
 	ar r $@ $^
 	$(RANLIB) $@
 
 ../imdct3dn.so: $(PLUGIN_IMDCT3DN) $(PLUGIN_IMDCTCOMMON)
-	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 
+	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_IMDCT3DN)
 
 ../imdct3dn.a: $(BUILTIN_IMDCT3DN)
 	ar r $@ $^

=== plugins/mad_adec/Makefile ===
###############################################################################
# vlc (VideoLAN Client) MAD audio decoder module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#
PLUGIN_MAD = mad_adec.o mad_libmad.o
BUILTIN_MAD = $(PLUGIN_MAD:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_MAD) $(BUILTIN_MAD)
#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_MAD): %.o: .dep/%.d
$(PLUGIN_MAD): %.o: %.c
	$(CC) $(CFLAGS) $(PCFLAGS) $(CFLAGS_MAD) -DPLUGIN -c -o $@ $<

$(BUILTIN_MAD): BUILTIN_%.o: .dep/%.d
$(BUILTIN_MAD): BUILTIN_%.o: %.c
	$(CC) $(CFLAGS) $(CFLAGS_MAD) -DBUILTIN -c -o $@ $<

#
# Real targets
#

../mad.so: $(PLUGIN_MAD)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_MAD)

../mad.a: $(BUILTIN_MAD)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/memcpy/Makefile ===
###############################################################################
# vlc (VideoLAN Client) memcpy module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_MEMCPY = memcpy.o
PLUGIN_MEMCPYMMX = memcpymmx.o
PLUGIN_MEMCPYMMXEXT = memcpymmxext.o
PLUGIN_MEMCPY3DN = memcpy3dn.o

BUILTIN_MEMCPY = $(PLUGIN_MEMCPY:%.o=BUILTIN_%.o)
BUILTIN_MEMCPYMMX = $(PLUGIN_MEMCPYMMX:%.o=BUILTIN_%.o)
BUILTIN_MEMCPYMMXEXT = $(PLUGIN_MEMCPYMMXEXT:%.o=BUILTIN_%.o)
BUILTIN_MEMCPY3DN = $(PLUGIN_MEMCPY3DN:%.o=BUILTIN_%.o)

PLUGIN_C = $(PLUGIN_MEMCPY) $(PLUGIN_MEMCPYMMX) $(PLUGIN_MEMCPYMMXEXT) $(PLUGIN_MEMCPY3DN)
BUILTIN_C = $(BUILTIN_MEMCPY) $(BUILTIN_MEMCPYMMX) $(BUILTIN_MEMCPYMMXEXT) $(BUILTIN_MEMCPY3DN)
ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../memcpy.so: $(PLUGIN_MEMCPY)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../memcpy.a: $(BUILTIN_MEMCPY)
	ar r $@ $^
	$(RANLIB) $@

../memcpymmx.so: $(PLUGIN_MEMCPYMMX)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../memcpymmx.a: $(BUILTIN_MEMCPYMMX)
	ar r $@ $^
	$(RANLIB) $@

../memcpymmxext.so: $(PLUGIN_MEMCPYMMXEXT)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../memcpymmxext.a: $(BUILTIN_MEMCPYMMXEXT)
	ar r $@ $^
	$(RANLIB) $@

../memcpy3dn.so: $(PLUGIN_MEMCPY3DN)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../memcpy3dn.a: $(BUILTIN_MEMCPY3DN)
	ar r $@ $^
	$(RANLIB) $@
